﻿using System;
using System.Collections.Generic;

namespace Qnomad.Outlining
{
	/// <summary>
	/// Represents the "contained item" end of an aggregative association.
	/// </summary>
	public interface IContained<TContainer, TItem>
	  where TContainer : IContainer<TContainer, TItem>
	  where TItem : IContained<TContainer, TItem>
	{
		TContainer Parent { get; }
	}
}
