﻿using System;
using System.Collections;
using System.Windows.Input;

namespace Qnomad.Outlining {

	public class LinkArgs<SrcPm, TargetPm> : EventArgs
	{
		public SrcPm DataToLink { get; private set; }
		public TargetPm TargetLoc { get; private set; }

		/// <exclude/>
		public LinkArgs( SrcPm itemToLink, TargetPm targetLoc ) {
			DataToLink = itemToLink; TargetLoc = targetLoc;
		}
	}
}
