﻿using System;
using System.Collections.Generic;

namespace Qnomad.Outlining
{
	/// <summary>
	/// Represents the "container" end of an aggregative association.
	/// </summary>
	public interface IContainer<TContainer, TItem>
	  where TContainer : IContainer<TContainer, TItem>
	  where TItem : IContained<TContainer, TItem>
	{
		IList<TItem> SubItems { get; }
		bool HasSubItems { get; }
	}
}
