﻿using System;
using System.Collections.Generic;

namespace Qnomad.Outlining
{
	/// <summary>
	/// Combines the two roles of an aggregative association for a single class to implement
	/// when the association is recursive.
	/// </summary>
	/// <seealso href="http://www.codeproject.com/KB/recipes/nonintrusive-trees-graphs.aspx"/>
	public interface ITreeNode<T> : IContainer<T, T>, IContained<T, T>
	  where T : ITreeNode<T>
	{
	}
}
