﻿using System;

namespace Qnomad.Outlining {

	public struct RelativePosition<TContainer, TItem>
	  where TContainer : IContainer<TContainer, TItem>
	  where TItem : IContained<TContainer, TItem>
	{
		/// <summary>Parent of the item</summary>
		public TContainer parent;

		/// <summary>Child index of the item</summary>
		public int childIndex;

		public RelativePosition( TContainer parent, int childIndex )
		{
			this.parent = parent; this.childIndex = childIndex;
		}
	}

}
