﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;

namespace Qnomad.Demos.Dialog.DomainModel
{
	class Color
	{
		public string Name { get; private set; }
		public string Meaning { get; internal set; }

		private Color( string name, string meaning )
		{
			Name = name;
			Meaning = meaning;
		}

		public static readonly IList<Color> All = new ObservableCollection<Color> {
			new Color("Red", "extroverted"),
			new Color("Pink", "romantic"),
			new Color("Maroon", "sensuous"),
			new Color("Orange", "fun-loving"),
			new Color("Peach", "gentle"),
			new Color("Yellow", "people-oriented"),
			new Color("Mint Green", "modest"),
			new Color("Apple Green", "adventuresome"),
			new Color("Green", "scientific-minded"),
			new Color("Teal", "idealistic"),
			new Color("Light Blue", "imaginative"),
			new Color("Dark Blue", "responsible"),
			new Color("Mauve", "delicate"),
			new Color("Purple", "spiritual"),
			new Color("Beige", "well-adjusted"),
			new Color("Brown", "down-to-earth"),
			new Color("Black", "opinionated"),
			new Color("White", "lonely"),
			new Color("Gray", "noncommittal"),
			new Color("Silver", "chivalrous"),
			new Color("Gold", "successful")
		};
	}
}
