using System;
using System.Collections.Generic;

using Qnomad.BidirectionalAssociations;

namespace Qnomad.Demos.PresentationModel {

	public abstract class SampleItem {
		private string name;
		private SampleListContainer parentListContainer;

		public SampleItem( string name ) { this.name = name; }

		public string Name {
			get { return name; }
			set { name = value; }
		}

		public SampleListContainer ParentListContainer {
			get { return parentListContainer; }
			set {
				SampleListContainer oldParentListContainer = parentListContainer;
				parentListContainer = value;
				OneToManyAssocSync.UpdateOneSide( this, oldParentListContainer, parentListContainer, "SampleList" );
			}
		}
	}
}
